import t from "../../../../@babel/runtime/helpers/esm/slicedToArray.mjs";
import e from "./IconBase.mjs";
import { normalizeTwoToneColors as T } from "../utils.mjs";
function c(o) {
  var l = T(o), r = t(l, 2), n = r[0], a = r[1];
  return e.setTwoToneColors({
    primaryColor: n,
    secondaryColor: a
  });
}
function s() {
  var o = e.getTwoToneColors();
  return o.calculated ? [o.primaryColor, o.secondaryColor] : o.primaryColor;
}
export {
  s as getTwoToneColor,
  c as setTwoToneColor
};
